# Uses of Class
org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction

Packages that use ParameterizedBuiltinSPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of ParameterizedBuiltinSPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type ParameterizedBuiltinSPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getParameterizedBuiltinInstTime(ParameterizedBuiltinSPInstruction paramInst, VarStats input1, VarStats input2, VarStats output, IOCostUtils.IOMetrics driverMetrics, IOCostUtils.IOMetrics executorMetrics)`

## Uses of ParameterizedBuiltinSPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type ParameterizedBuiltinSPInstruction
Modifier and Type
Method
Description
`static ParameterizedBuiltinFEDInstruction`
ParameterizedBuiltinFEDInstruction.`parseInstruction(ParameterizedBuiltinSPInstruction inst, ExecutionContext ec)`

## Uses of ParameterizedBuiltinSPInstruction in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return ParameterizedBuiltinSPInstruction
Modifier and Type
Method
Description
`static ParameterizedBuiltinSPInstruction`
ParameterizedBuiltinSPInstruction.`parseInstruction(String str)`